[Japanese]

JVNDB-2015-000041

MP Form Mail CGI eCommerce edition vulnerable to code injection

Overview

MP Form Mail CGI eCommerce edition provided by futomi Co., Ltd. is a CGI used to send mail from a web form. MP Form Mail CGI eCommerce edition contains a code injection vulnerability.

Shoji Baba reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 7.5 (High) [IPA Score]
  • Access Vector: Network
  • Access Complexity: Low
  • Authentication: None
  • Confidentiality Impact: Partial
  • Integrity Impact: Partial
  • Availability Impact: Partial

Affected Products

Versions listed below are vulnerable when used in a Windows environment.

futomi Co.,Ltd.
  • MP Form Mail CGI eCommerce Edition Ver 2.0.11 and earlier

Impact

Arbitrary Perl code may be executed on the server where it resides.
Solution

[Update the software]
Update to the latest version according to the information provided by the developer.
Vendor Information

futomi Co.,Ltd.
CWE (What is CWE?)

  1. Code Injection(CWE-94) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2015-0898
References

  1. JVN : JVN#39175666
  2. National Vulnerability Database (NVD) : CVE-2015-0898
Revision History

[2015/03/20]
  Web page was published
[2015/03/24]
  References : Content was added